ODFUSERFIELD(1)

Name
odfuserfield - List or change the user-field declarations in an ODF file

Synopsis

odfuserfield [-l] [-L] [-x field...] [-X field...] [-s field:value...] [-o path] path

Description

Odfuserfield is a program that will list or change the user variable declarations in an OpenDocument file. There are two kinds of variables in OpenDocument. Simple variables can take different values at different positions, throughout a document. User variables have the same value throughout a document. Due to the latter's global nature it is safe to change them with an external application.

Use odfuserfield to fill out form letters before printing or giving to the user.

“Path” is assumed to be an OpenDocument file of text, spreadsheet or presentation type.

Options

-l
    List (extract) all known user-fields.

-L
    List (extract) all known user-fields with type and value.

-x field
    Extract the contents of this field from the file.

-X field
    Same as -x, but also preserves/includes the field name and type.

-s field:value
    Set the value of an existing user field. The field type will be the same.

-o path
    Filename to write modified ODT file to. If no -o option is provided, the ODT file will be written to stdout.

Example

    odfuserfield -L odf-file

See Also

formail(1), id3tag(1)

Todo

Implement formulas. See OpenDocument v1.0 specification section 6.3.5. This requires a different syntax for -s arguments.

Authors

Søren Roug
    Original author

Michael Howitz
gocept gmbh & co. kg
    Refactoring